Similar listings (v2.0)
Live adverts for vehicles similar to the one you query.
Earlier version
This documents Similar listings v2.0. The current version is v3.0.
POST
/similar-listings/2.0Authorization
Body
Valid JSON
Request body
vrmstringpage?numberUse with `limit` for custom pagination
limit?numberUse with `page` for custom pagination
Default10Range10 ≤ value ≤ 20
sort?stringSort listings by a particular characteristic. `postcode` is required when using `distance` sort. `distance` is measured in miles
Value in
"age""price""mileage""distance"order?stringValue in
"asc""desc"postcode?stringRequired if using *distance* `sort` or `filter`
filters?Responses
application/json
{
"total": 73,
"page": 1,
"limit": 10,
"listings": [
{
"description": "Ford Fiesta ST",
"year": 2001,
"firstSeen": "2020-07-25T16:31:51",
"colour": "Marigold",
"fuelType": "Petrol",
"price": 4795,
"mileage": 114999,
"dealer": {
"type": "Independent",
"name": "Bob's Fords"
},
"adText": "2001 Ford Fiesta ST 150 3dr 1.6 16v 150bhp 5 speed manual Met Black , original alloys, 2 keys, 2 owners, 30,030 miles",
"location": "Slough on Thames",
"vrm": "AB12CDE",
"soldDate": "2022-10-02T00:00:00"
}
]
}total?numberpage?numberlimit?numberlistings?Code samples
curl --request POST \
--url https://api.cazana.com/similar-listings/2.0 \
--header 'Authorization: bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '
{
"vrm": "AB12CDE",
"page": 1,
"limit": 20,
"sort": "age",
"order": "asc",
"postcode": "EC1Y 2AA",
"filters": {
"colours": [
"brown"
],
"years": [
2001
],
"live": true,
"keywords": [
"Alloy wheels, leather seats, sunroof"
],
"mileage": {
"min": 1234,
"max": 54321
},
"distance": 999,
"dealerTypes": [
"franchise"
],
"youngUsed": false,
"trade": false
}
}
'